Skip to main content
GET
/
robots
/
{robotId}
/
localization
/
full
Returns all available localization data for a robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/localization/full \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "pose": {
    "mapId": "<string>",
    "mapDataHash": "<string>",
    "x": 123,
    "y": 123,
    "theta": 123,
    "ts": 123,
    "xPixels": 123,
    "yPixels": 123
  },
  "lasers": [
    {
      "id": "<string>",
      "runs": [
        123
      ],
      "values": [
        123
      ],
      "ts": 123
    }
  ],
  "paths": [
    {
      "id": "<string>",
      "points": [
        {
          "x": 123,
          "y": 123
        }
      ],
      "ts": 123
    }
  ],
  "costmap": {
    "ts": 123
  }
}

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Query Parameters

include
enum<string>[]

Data to be included in the response. If not set, all available data is returned.

Available options:
pose,
laser,
costmap,
paths

Response

200 - application/json

The current localization data of a robot

pose
object

Robot position and orientation

lasers
object[]
paths
object[]
costmap
object

TBD